# Command line

xppaut `-options` `filename`

### options

- -silent batch run without GUI (silent mode) and dump solutions to one or more files
- -xorfix Work-around for exclusive Or with X on some monitors/graphics setups
- -convert Convert old style ODE files (e.g. phaseplane) to new ODE style
- -newseed Randomizes the random number generator which will often use the same seed
- -ee Emulates dialog box behavior of Evil Empire (MS)
- -allwin Brings XPP up with all the windows visible
- -setfile `filename` Loads the set file before starting up
- -runnow Runs ode file immediately upon startup (implied by -silent)
- -bigfont `font` Use the big font whose filename is given
- -smallfont `font` Use the small font whose filename is given
- -parfile `filename` Load parameters from the named file
- -outfile `filename` Send output to this file (default is output.dat)
- -icfile `filename` Load initial conditions from the named file
- -forecolor `color` Hexadecimal color (e.g. 000000) for foreground
- -backcolor `color` Hexadecimal color (e.g. EDE9E3) for background
- -mwcolor `color` Hexadecimal color (e.g. 808080) for main window
- -dwcolor `color` Hexadecimal color (e.g. FFFFFF) for drawing window
- -backimage `filename` Name of bitmap file (.xbm) to tile in background
- -grads `B` Color gradients will (B=1) or will not (B=0) be used
- -width `N` Minimum width in pixels of main window
- -height `N` Minimum height in pixels of main window
- -bell `B` System bell on events will (B=1) or will not (B=0) be used
- -internset `B` Internal sets will (B=1) or will not (B=0) be run during batch run

### Windows note

In the MS Windows distribution, in the C:/xppall directory, edit `xpp.bat` and add whatever command line arguments you always want. Or edit the resource file

### Environment variables

- XPPHELP file path to help, e.g. `export XPPHELP=/usr/share/xpphelp.html`
- XPPBROWSER browser to use, e.g. on the Mac, `export XPPBROWSER=open`

### Resource file

Call it `.xpprc`

It can contain any of the OPTIONS for example

    @ bell=0,grads=0,dwcolor=eeddff
    @ bigfont=lucidasanstypewriter-bold-14
    @ maxstor=200000